Bug 27133 - Header missing for "Copy no" on the relative's checkouts table
Summary: Header missing for "Copy no" on the relative's checkouts table
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Victor Grousset/tuxayo
URL:
Keywords:
Depends on: 19351
Blocks:
  Show dependency treegraph
 
Reported: 2020-12-02 10:30 UTC by Jonathan Druart
Modified: 2021-02-11 22:42 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.01


Attachments
Bug 27133: (bug 19351 follow-up) Add missing "Copy no" header to relative's checkouts (1.20 KB, patch)
2020-12-02 10:32 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27133: (bug 19351 follow-up) Add missing "Copy no" header to relative's checkouts (1.26 KB, patch)
2020-12-02 15:06 UTC, Kelly McElligott
Details | Diff | Splinter Review
Bug 27133: (bug 19351 follow-up) Add missing "Copy no" header to relative's checkouts (1.32 KB, patch)
2020-12-12 13:37 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-12-02 10:30:12 UTC

    
Comment 1 Jonathan Druart 2020-12-02 10:30:31 UTC
Caused by
  commit a8e5d9ab9f3dc690f007bb6893af71edf26a473f
  Bug 19351: Add items.copynumber to the checkouts table
Comment 2 Jonathan Druart 2020-12-02 10:32:48 UTC
Created attachment 114092 [details] [review]
Bug 27133: (bug 19351 follow-up) Add missing "Copy no" header to relative's checkouts

Test plan:
Add a guarantee, go to the relative's checkouts list and confirm that
the number of headers is not correct
Comment 3 Kelly McElligott 2020-12-02 15:06:08 UTC
Created attachment 114100 [details] [review]
Bug 27133: (bug 19351 follow-up) Add missing "Copy no" header to relative's checkouts

Test plan:
Add a guarantee, go to the relative's checkouts list and confirm that
the number of headers is not correct

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>
Comment 4 Victor Grousset/tuxayo 2020-12-12 13:37:48 UTC
Created attachment 114370 [details] [review]
Bug 27133: (bug 19351 follow-up) Add missing "Copy no" header to relative's checkouts

Test plan:
Add a guarantee, go to the relative's checkouts list and confirm that
the number of headers is not correct

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 5 Victor Grousset/tuxayo 2020-12-12 14:16:02 UTC
QA script ok, code ok
Comment 6 Jonathan Druart 2020-12-14 13:18:16 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2020-12-14 17:18:21 UTC
Pushed to 20.11.x for 20.11.01
Comment 8 Andrew Fuerste-Henry 2020-12-17 17:35:49 UTC
Missing dependencies, not backporting to 20.05.x